Introduction

FlashPeak SlimBrowser

General Introduction

SlimBrowser is a multiple-site browser based on tab-page interface. It incorporates a large collection of wonderful features like recoverable popup killer, form filler, site group, quick-search, auto login, hidden sites, built-in commands and scripting, online translation, script error suppression, blacklist/whitelist filtering. It brings you convenient and comfortable browsing.

SlimBrowser is now Freeware.

All features

  • Multiple site browser based on tab-page interface
  • Recoverable Popup Killer based on both intelligent identification and pre-defined filtering
    Site windows killed by mistake are FULLY RECOVERABLE
  • In-Page Ad-Filter, filtering out Ad Banners, Moving Images, Flash Animations, etc.
  • Convenient access to major search engines by Quick-Search Bar
  • Built-in VBScript/JScript/HTML/Text Editor (ScriptPad)
  • Hidden Sites : hide and show a site at users' request
  • Seamless integration with AI RoboForm Form Filler
  • A large collection of skins based on custom window frame and buttons
  • AutoLogin: automatically connect and log into specified website with just one click.
  • Seamless integration with online web page and text translation service.
  • Ability to suppress script error message dialog
  • Open and save a collection of sites as a group
  • Seamless integration of the power of Windows Explorer and Internet Explorer
  • Access both remote and local resource (http, https, ftp, local files) in a uniform interface
  • Flexible control of startup actions

Please check out the most up-to-date and full feature list on SlimBrowser homepage.

Feedback Product Homepage

Copyright 2002(c) FlashPeak, Inc. All Rights Reserved.


Menu Functions

Only the menu items not available in IE and special to SlimBrowser will be explained below. For items not listed here, you can hover mouse over the menu item and see the help information shown on the browser status bar. For menu items the same to those in IE, please refer to IE manual for details.

File Menu

  • New
    • Blank Site
      Open a blank site in a new window
    • Home Page
      Open home page in a new window
    • Duplicate Current Site
      Open the address of the active site in a new window
    • From Address in Clipboard
      Open the address in clipboard in a new window
  • New Browser
    Open a new browser main window
  • Recently Close Sites
    Show the list of recently closed sites. You can select any one of them to re-open it. Select "Clear this list" to clear this history list.
  • Restore Sites Open In Last Session
    Restore the sites that were open when SlimBrowser was closed in last session.
  • Save As
    Save the current page including pictures
  • Save Without Picture
    Save the current page excluding pictures
  • Close All
    Close all sites including hidden sites.
  • Close All But Current
    Close all sites except the active one
  • Close All Blank & Failed Sites
    Close all sites which are blank or in error like page not found.

Edit Menu

  • Paste & Go
    Directly open the address in clipboard.
  • Select All
    When the current site is an http site, this menu item will highlight the entire web page. When it's an ftp site or a local directory, this menu item will highlight all the files and directories displayed.
  • Undo Last Close
    Re-open last closed site
  • Undo Last Close All
    Re-open all sites before your last close-all operation.
  • Check Spell
    Check the spell of the text inside the text boxes or text areas within the active web page.

View Menu

  • View
    • Toolbars
      • Internet Explorer Toolbars: List all the available toolbars for Internet Explorer.
      • XML Toolbars
        List all the installed XML Toolbars.
        • Rebuild All Bars: Rebuild all XML toolbars to reflect changes in the XML files or image files.
      • Menu Bar
      • System Bar
      • Logo Animation
      • Standard Toolbar
      • AI RoboForm Toolbar: Show AI RoboForm toolbar.
      • Address Bar
      • Quick-Search Bar
      • Links
      • Favorites: Show favorite shortcuts on a horizontal toolbar.
      • Plugins: Show plugins and addons.
      • Utilities: Show the shortcut under this folder: Application Data\utilities.
      • Site Tab
      • Rebuild Links Bar: Rebuild links bar in case of undetected external changes.
      • Site Tab Style
        • Place On Top: Place the tab bar on the top
        • Place On Bottom: Place the tab bar on the bottom
        • Button Style: Display the site tab in button style
        • Tab Style: Display the site tab in tab style
        • Multiline Mode: Allow the site tabs to be displayed on multiple lines
        • Show Icon: Display icon on the site tab
      • Organize Quick-Search Engine: Organize Quick-Search entries in the Favorite left pane by using drag and drop.
      • Clean Quick-Search History: Clean the history on the quick-search bar.
      • Lock Toolbars: Lock the toolbars so that they can't be moved.
      • Custom Standard Toolbar...: add/remove buttons on the standard toolbar or custom its style
    • Explorer Bars
      • ScriptPad: Toggle the visibility of the script pad.
      • Rebuild Favorites Bar: Rebuild favorites bar in case of undetected external changes
  • Hide Site
    Hide the current open site. You are able to recover it in Hidden Sites dialogue.
  • Block Popup Windows
    Enable the built-in popup killer to automatically block popup windows.
  • Restore Last Popup Window
    Restore the last popup window blocked by popup killer.
  • Hidden Sites
    Activate a dialog to view and manage all hidden sites. These sites may be manually hidden by user or automatically hidden by the popup killer.
  • Suppress Script Errors
    Disable script error message dialogs. It will also disable script debugging.
  • Stop All
    Stop the connection of all sites
  • Refresh All
    Refresh all the sites
  • Auto Refresh
    • Every xxx seconds: auto-refresh the current page every xxx seconds.
    • Set Period...: auto-refresh the current page with specified period
    • Auto Refresh All Pages: auto-refresh all open pages with the same period
    • Stop All: stops all pages from being auto-refreshed
  • Lock Tab
    Lock a tab so that it won't be closed when you carry out a "Close All" operation
  • Zoom
    • Zoom In: Increase the zooming scale of the current page.
    • Zoom Out: Decrease the zooming scale of the current page.
    • Actual Size: Show the current page in the original size
    • Set As Default Zoom Level: Set the zoom level of the current page as the default zoom level for all web pages. To restore the default zoom level to 100%, select "Actual Size" to set the zoom level of the current page to 100% and then select "Set As Default Zoom Level".
  • Skins
    • Disable Skin
      Restore SlimBrowser to the plain appearance with no skin.
    • Select Skins...
      Apply the selected skin to SlimBrowser. Refer to the section [Skins].
    • Online Skin List
      Visit the online skin collection on FlashPeak website.
  • View Source
    View source of the current page

Favorites Menu

  • Import Favorites
    Import Favorites from a bookmark file.
  • Export Favorites
    Export Favorites to a bookmark file.
  • Search Favorites
    Search for favorites item in favorites folder.

Language Menu

Online translation using free translation engines. It supports translation directions between the following languages: German, English, French, Spanish, Italian, Portuguese, Chinese, Japanese, Korean and Russian.

  • Translate Current Page Into English
    Translate current page into English. This service is provided by google translation engine. The translation can only be done if the source language can be automatically detected AND Google provides the translation service for the current language of the current page.
  • Translation Web Page
    • Google Translation
      Translate the active web page using Google's translation engine
    • Babelfish Translation
      Translate the active web page using Babelfish's translation engine
  • Translation Text
    • Google Translation
      Translate selected text in the active window using Google's translation engine
    • Babel fish Translation
      Translate selected text in the active window using Babelfish's translation engine
  • Look Up In Dictionaries
    • Custom Dictionary Definitions...
      Open the dictionary definition file (dictionary.ini) to view and edit dictionary definition entries. The syntax of dictionary definition entries are the same as search engine definitions.
    • Predefined Dictionaries
      Select a word in the current web page and choose a predefined online dictionary. SlimBrowser will automatically retrieve the interpretation of that word using the online dictionary.
  • Interface Language
    Select the interface language of SlimBrowser. The effect is immediate. No need to restart SlimBrowser. Interested in providing a translation in your own language? Click here.
  • Language File Manager

Groups Menu

Please refer to the section Site Group.

AutoLogin Menu

Please refer to the section AutoLogin.

Tools Menu

  • Shortcuts
    Shortcuts to frequently used shell folders. For information regarding application data folder and its subfolders, please click here.
  • Set As Default Browser
    Set SlimBrowser as the default browser.
  • External
    • Open With Internet Explorer
      Open the current page with IE.
    • Windows Media Player
    • Windows Messenger
    • Telnet
    • Command Console
    • Notepad
    • Paint Brush
  • Mail and News
    All the registered email clients are listed at the bottom of this sub-menu.
  • Internet Explorer Tools
    Shows all the extended menu items available under the tools menu of Internet Explorer.
  • Privacy
    • Clean Trace
      • Clean Address Bar History
        Clean the URL ever typed into the address box
      • Clean Quick-Search History
        Clean the keyword history on the quick-search bar.
      • Clean History
        Clean browser history
      • Clean Cookies
        Clean all cached cookies.
      • Clean Cached Files
        Clean all pages, images and other files in cache.
      • Clean Preselected Items
        Clean items preselected in the privacy page of the options dialog.
      • Clean All Trace
        Clean everything including history, cookies and cached files.
    • Auto Lock Browser
      When this option is enabled, SlimBrowser will be automatically locked if there is no user activity on the computer for a certain length of time. You need enter the master password to unlock the browser.
    • Set Master Password...
      Set the master password. The master password is used to protect your privacy regarding SlimBrowser usage. You need enter your master password for authentication when you want to unlock the browser after it's auto-locked due to long-time idleness, or if you want to use the autologin entries when autologin password protection is enabled.
  • Clean Trace
  • Site Filter
    • Enable Site Filter
      This option will enable SlimBrowser to block sites in the black list but not in the white list.
    • White List...
      View and edit the white list filter
    • Add Into White List...
      Add the current site into the white list
    • Black List...
      View and edit the black list filter
    • Add Into Black List...
      Add the current site into the black list
  • Universal URL Filter
    • Enable Universal URL Filter
    • Black List...
    • White List...
  • Download Control
    By default, all the options below are turned on. You can turn off some of them for higher speed or tighter security. Please note that the following download control options only apply to the active site. For default download control options which apply to all sites, change them in the options dialog. In the following menu items, (Global) means that the option applies to IE and any IE-based browsers. (Apply to All) means the option applies to all the site windows currently open in SlimBrowser.
    • Show Pictures
    • Play Videos
    • Play Sounds
    • Execute Scripts
    • Execute Java Applet
    • Enable ActiveX Control (Global)
    • Enable Flash Animation (Global)

    The following menu items are related to the In-page Ad Filter.

    • Enable In-Page Ad-Filter (Apply to All)
      Enabling this option will automatically filter the Ads in the current page.
    • Filter Flash Animations
    • Filter Floating Images
    • Filter Banner
  • Proxies
    • Organize Proxies
      Organize the list of pre-defined proxies
    • Disable Proxy
      Disable the use of proxy without clearing information about proxy server address and port.
    • The Following List of Proxies
      Select any of the pre-defined proxy to set it as the current proxy
  • Alias Definitions
  • Assigned Site Names
  • Extract Search Engine Data...
    Extract the search engine definition data from the current web page automatically. Refer to help on quick-search bar.
  • Internet Options
    Options for Internet Explorer. This menu item has the same function as the tools->internet options in IE.
  • Options
     Options special to SlimBrowser.
  • My Personal Information
  • Web Resources
    • Weather
    • Local Map
  • Misc
    • Repair
      • Repair File Types
        Re-associate pre-defined file types with SlimBrowser including autologin files, site group files, etc.
    • ActiveX Filter (Deprecated due to enhanced ActiveX handling since IE6 sp2)
      • Load ActiveX Filter
      • ActiveX Filter Black List...
      • Unload ActiveX Filter
      • Auto-detect ActiveX Controls
    • Web Robots
      • Link Extractor
        Help you extract all links matching a pattern from a web page.
    • Execute Scripts
    • Upload File...


Options

These are options special to SlimBrowser and not available in IE. For standard Internet Explorer options, please select Tools->Internet Options for configuration.

Option Pages

  • Popup Killer
  • Download Control
  • Startup
  • Privacy
  • Misc
  • Favorites
  • New Window
  • Mouse
  • Tab
  • Address Bar
  • Confirmation
  • Update
  • URL Filter
  • In-Page Ad-Filter
  • Weather


Address

Enter your address information in this option page. The address information will be used to access location-specific web resources such as weather and maps.

FlashPeak doesn't collect any of the personal information entered in this dialog. The only purpose is to save you the trouble of typing the same information again and again on different web sites.


Standard Toolbar

Plugins
Drop down a menu showing the list of available plugins. Select one to execute. The plugins are located under "plugins" sub-directory. Currently, plugins can be anything that can be opened or executed by windows shell.
Scripts
Drop down a menu showing the list of available script files. Select one to execute the script in the context of the active website. The script files are located under "scripts" sub-directory. They can be jscript (.js) or vbscript (.vbs) files.


System Bar

This is the system bar:

The buttons are explained below,

  1. Previous: Switch to the previous site window
  2. Next: Switch to the next site window
  3. Close All: Close all site windows (Warning: Don't close this button too quickly immediately after you open a site group. It may causes SlimBrowser to crash)
  4. Minimize: minimize the active site window. All the rest site windows will be restored to their normal size if you click this button
  5. Restore: restore all site windows to their normal size. You can do this to see the popup windows in their original size instead of always maximized.
  6. Close: close the active site window.


Address Bar

If you type something in the address bar, SlimBrowser will try to interpret in the following sequence:

  1. Alias
    If it matches an alias, the corresponding full URL will opened.
  2. Built-in commands
    If it matches a built-in command, it will be executed.
  3. Regular URL
    If it's recognized as a regular web address, it will be directly opened.
  4. Domain Name Autocompletion
    If what you type is a single word containing no space, "www." and ".com" will be automatically added to form a legal URL. Then that URL will be opened. You have NO need to press ctrl+enter for domain name autocompletion as you do in IE or other browsers.
  5. Automatic Google Search
    If what you type is a phrase containing spaces and it can't be interpreted as a legal web address, SlimBrowser will pass the string to google search engine. For example, you can directly type "FlashPeak SlimBrowser" in address bar to search for it on google.com


Quick-Search Bar

Quick search bar provides easy access to search engines and look-up sites without connecting to their homepages first. SlimBrowser achieves this by a flexible interface and automatic form submission.

Using Quick-Search Bar

You can click the search button (green arrow) or its drop-down arrow to access the drop-down menu listing all available engines. You can right click on a menu item and select "delete" to remove an engine or a folder. The menu items correspond to the engine definition files. All the engine definition files (*.qseg) are stored under the folder YourProfileFolder\Application Data\SlimBrowser\quicksearch. You can create sub-folders inside "QuickSearch" folder for better organization.

How to Search?

  • Method 1
    Enter keywords in the keyword field and then press ENTER key or click the green arrow button to search in the currently selected engine.
  • Method 2
    If you have turned on the option "Search At Select", you can enter the keywords and then choose an engine from the drop down menu to start searching in the selected engine.

Sorting Engines

To sort the order of engines shown on the menu, click the "Favorites" button on the toolbar or select "View->Explorer Bar->Favorites" to show "Favorites" explorer bar. Go into the "QuickSearch" sub-folder. Re-order the engines by mouse drag-and-drop in the Favorites explorer bar. The first engine on the top of the list is the default engine used when SlimBrowser just starts up.

Open From Windows Shell or Explorer

You can put an engine definition file (.qseg file) on windows desktop or any other folder and then double-click on the file. SlimBrowser will open the engine definition file and prompt you for the keyword to be searched for.

Extract Search Engine Data Automatically

SlimBrowser can help you extract search engine data from the current web page automatically. To do automatic extraction, observe the following steps:

  1. Open the search engine homepage like http://www.google.com
  2. Place the blinking caret inside the edit box where you are going to input the keyword (i.e., whatever you want to search for).
  3. Select "Tools->Extract Search Engine Data..." from the menu. You will see a dialog showing the extracted data
  4. Review the data and make modifications if necessary. Click "Save As" button to save the data as a quick-search engine definition file (*.qseg).
  5. The new search engine will be immediately available from the drop-down menu of engines.

Understanding Quick-Search Engine Definition Files (Advanced)

Each engine definition file contains the following fields,

  • URL: The address of the CGI (web form handler) together with the query parameters. No matter whether the method of query form is GET or POST, this URL should be written as if the form's method is GET. The keyword to be searched for is represented as $key in the URL. The standard format for this URL is like this:

    http://www.searchengine.com/cgipath?para1=value1&para2=value2...&parax=$key.
  • method: the method of the web form, either 'GET' or 'POST'.

Sometimes automatic search engine data extraction may fail to work. In this case, you may add your own search engine manually by reading the source code of the html page and web form. If the form method is GET, search for a keyword like "test" in that engine. Then copy the URL of the result page from the address bar into the URL field of the engine definition file. But you need replace "test" with "$key", which is a special variable for later substitution. If the form method is POST, you have to manually compose the query string as if the form is submitted with GET method.

Keyword Highlighting

Click the "Highlight Keyword" button on the quick-search bar to highlight keywords in the current page.

Find In Page

Click on the "Find In Page" button to search the specified keywords in the current page. Click the same button again to continue to find the next keyword.

Tip: When you type the keywords, you can begin the search string with a '/' sign to enable "type-and-search": i.e., the searching is automatically performed while you are typing the keywords.


Using Site Tab

Site tab provides a convenient interface to switch between sites. You can double-click or middle-click a site tab to close the site. Right click on the site tab and you will see a popup menu. The menu items are listed below,

  • Duplicate: Open the same address in a new window. Hold down 'CTRL' key to open the new window in background

  • Filter Out This Page
    Add the URL of this page to the include-filter. A site window will be automatically closed if it tries to connect to this URL.

  • Filter Out Entire Site
    Add the server address of this page to the include-filter. Any pages from that server will be filtered out.

  • Close: Close this site

  • Close All: Close All Active Sites.

You can right click on the empty area on any of the toolbars and select "Site Tab Style" from the popup menu to custom the style of the site tab.

You can double click on the empty area of the tab bar to create a new blank site.

You can re-order the tabs by drag-and-drop.


Internet Explorer Toolbars

We don't guarantee full compatibility of SlimBrowser with IE toolbars. Use this feature at your own risk. Some toolbars need repeated creation when switching from site to site. These toolbar may significantly decrease the speed and performance of SlimBrowser. Please notice that in most cases the popup blocking functions provided by IE toolbars won't work in SlimBrowser.

The following toolbars are almost fully compatible except that some minor features may not work,
RoboForm Toolbar
Google Toolbar
MySearch SearchBar
CNet SearchBar
ReadPlease ReadingBar
Norton Antivirus
FlashGet Bar
Dictionary.com
Merriam-Webster

The following toolbars need dynamic destroy and creation when switching from site to site. They may significantly decrease the speed of SlimBrowser,
Yahoo Companion
Groowe
Pictures

The following toolbars are proved totally uncompatible
eBay Toolbar
Alexa Toolbar
Radio
Linkman
Copernic Agent toolbar

We can't make them compatible until we can get support from their respective vendors. If you are an avid user of one incompatible toolbar and want to make it compatible with SlimBrowser, contact its vendor, ask them to visit this page or ask them to contact us directly.


The Rest Toolbars

Favorites, Links and Utilities Toolbar

These three toolbars are similar because they all contain a collection of links. The link can be shortcut to any resource on your computer or on the Web. The link can also be a group file (.sgp), an autologin file (.atlg) or a quicksearch engine definition file (.qseg). All of them support sub-folders.

  1. Favorites Toolbar
    Shows all the links under the favorites folder.

  2. Links Toolbar
    Shows all the links under the links folder

  3. Utilities Toolbar
    Shows all the links under the Utilities folder. The Utilities folder is located under the application data folder. The utilities is also available from "Utilities" drop-down button on the standard toolbar.

Drag & Drop re-ordering is supported on these toolbars.

You can place files with types registered by SlimBrowser on the above toolbars by creating or copying those files under the corresponding folder.


ScriptPad

ScriptPad (VBScript/JScript/HTML/Text Editor)

You can create/edit vbscript/jscript/HTML/text files in this powerful ScriptPad. The button functions are explained below,

  • New: create a new file based on the selected type. Default type is plain-text file.
  • Open: open an existing file
  • View Source Of Current Page: View the source code of the active web page. No source code will be shown if it's a blank page
  • Save: Save the current file
  • Save As: Save with a new file name and path
  • Run Script In Current Page: Run vbscript or jscript in the context of the current page. You can use script to manipulate the html content or extract whatever information you need from the current page.
  • Browse: Open the html file being edited in SlimBrowser. If it's been opened, it will be simply refreshed.
  • Upload: Upload the current file onto a ftp server. Click this button and you will see an upload dialog. You need fill in the following information,
    • Local file: This field will be automatically filled with the path of the current file to upload
    • Server: The domain name or IP address of the ftp server
    • Remote Path: The server directory to which the file will be uploaded. This directory is relative to your home directory on the server. You may or may not terminate the path with a slash("/").
    • User Name: The user name to log into the server
    • Password: The password to log into the server


ActiveX Filter

When you visit some web pages, you may be prompted to install an ActiveX control which is either useless or contains spyware or viruses. In some extreme cases, it will prompt you again and again if you select "NO". It won't end until you select "Yes". That's very annoying and obtrusive, isn't it? ActiveX filter can black list these ActiveX controls so that the dialogs won't come up at all.

ActiveX filter maintains a black list and it will only block ActiveX controls inside the black list. We are including more and more unsafe and obtrusive ActiveX controls into the black list. If you see one unblocked, select "Tools->ActiveX Filter->Auto-detect ActiveX Controls" from the menu and report the detected information to us. We will include it into the black list so that it will be blocked in the next version.

The menu items related with ActiveX filter are accessible from "Tools->ActiveX Filter". They are explained below,

  • Load ActiveX Filter
    Enable or Reload ActiveX Filter. If you have modified the black list file externally or manually, you need use this menu item to reload ActiveX Filter to reflect the changes.

  • Unload ActiveX Filter
    Unload or disable ActiveX Filter.

  • Open ActiveX Filter Black List
    Open ActiveX Filter black list file (clsid.ini under SlimBrowser installation directory). You can edit the black list file with any plain text editor. Each line of the file contains an ActiveX control class id and an illustrative description. If you do to use enable one of the black listed ActiveX controls, put an asterisk at the beginning of the corresponding line or simply remove that line from the black list file.

  • Auto-detect ActiveX Controls
    Automatically detect and extract information about ActiveX controls from the current page. Submit the information to us so that we can block the annoying ActiveX control for you next time.


Alias

Alias feature makes you able to type a short alias instead of a long URL in full. You need just type the alias in the address bar. SlimBrowser will replace the alias with its full URL and then navigate to the target address. Select Tools->Alias Definitions to bring up the alias definition dialog in which you can view and edit alias definition entries. The following are some examples of aliases,

Alias | Full URL
ym | mail.yahoo.com
lh | http://localhost
gl | www.google.com
myprj | d:\user\smith\vc\proj1

You have no need to define aliases for the folders available in the Shortcuts Menu. There are shorthand built-in commands to access those folders.


Application Data Folder

SlimBrowser is now fully compatible with multiple-user based operation systems like Windows NT/2K/XP. All the personal data for SlimBrowser will be stored under Application Data\SlimBrowser under your profile folder.

If you don't know where is the profile folder and application data folder, select menu "Tools->Shortcuts->Application Data Folder" to open the application data folder. Select menu "Tools->Shortcuts->My Profile" to open your profile folder.

The groups, autologin, utilities and quicksearch folder are all subfolders of the application data folder.


AutoLogin

AutoLogin enables you to log into a website with just one click. It does so by automatically filling and submitting web forms with pre-defined login information. All the functions related with this feature are under "AutoLogin" menu of the main menu.

Automatic Extraction of Autologin Information

Please observe the following procedure:

  • Connect to the website for which you want to setup autologin

  • Fill all the necessary information including user name and password in the login form.

  • Make sure the caret stays in the login form. Select Autologin-> Add Autologin From Page from the menu.

  • Review the information extracted in the autologin organizer. Modify the URL and caption if necessary. You can change the URL to the original address that you typed in the address bar.

  • Click <Add> button to add the new entry. Close the autologin organizer dialog. The new entry will be available from the autologin menu.

<AutoLogin> Menu

  • Add AutoLogin From Current Page
    Extract autologin information automatically from the current web page.

  • Organize AutoLogin Entries...
    Sort autologin entries in the favorites left pane.

  • Enable Password Protection...
     Protect the access to all your autologin entries with your master password. When this option is enabled, you will be prompted to enter your master password when you attempt to access autologin entries for the first time after you start SlimBrowser. It will be prompted for only once in a single session unless you select "Clear Cached Password" to require re-authentication.

  • Clear Cached Password
     Clear cached password so that you will be prompted for the master password again when you want to access the autologin entries in this session.

  • Edit AutoLogin File
    Edit the content of an autologin file manually (advanced users only).
  • [All the available autologin entries]
    Choose any one of the available autologin entries and you will be automatically logged into the specified website with predefined login information. For example, your Yahoo email account.

AutoLogin Editor

  • Caption
    Title of the autologin that will be shown in the autologin menu.

  • URL
    Address of the target website for automatic connection.

  • Form Name
    The name of the form containing all the login fields.

  • Login Data
    The names and values of the form fields to be automatically filled in. It should be in the form of "http GET" query parameters. The syntax is like "field1=value1&field2=value2&field3=value3...". The passwords will be displayed as encrypted if there are any.

  • Extract Autologin Information From Current Page
    Populate the autologin information fields by automatic extraction from the current web page.
  • Save
    Save the autologin information into an autologin file (.atlg)

Tips

You can access an autologin entry by the following built-in command:

autologin AutologinFilePath

The autologin file path can be absolute or relative to the autologin folder. You can directly type this command in the address bar or specify it as a site address in the group organizer.


Built-in Commands

Built-in commands can be used to carry out pre-defined operations. You can directly type a built-in command in the address bar. You can also use a built-in command as an entry in a site group. The command set will expand with the incoming of users requests and the expansion of my vision.

All the commands are listed below,
(Note: Square brackets indicate optional parameters.).

  • google [keyword]
    Search for keyword on google search engine
  • autologin EntryName
    Automatically log into a website using pre-defined autologin "EntryName".
  • opengroup GroupName
    Open a predefined group with the supplied group name
  • script ScriptFile
     Execute a stored script file in the context of the active site.
  • Shell folders accessible by commands
    Shell folder means actual file system folder or virtual folder accessible in Windows Explorer. All shell folders accessible by built-in commands are listed below. You can type the full name on the left or the abbreviation on the right in the address bar.
    • my computer | mycom
    • desktop
    • control panel | ctrl
    • startup
    • favorites
    • my documents | my doc
    • recent documents | recdoc
    • my profile | myprof
    • history
    • network neighborhood | nethood
    • cache
      Internet cache directory. A tip is that you can go into this directory and find some downloaded files.
    • cookies
      Internet cookie directory.
    • printers
    • start menu | smenu
      Start menu visible to the current user.
    • common start menu | csmenu
      The start menu visible all the users.
    • startup
      Startup program group visible to the current user.
    • common startup | cstartup
      Startup program group visible to all users.
    • recycle bin | recbin
    • my pictures | mypic

You can put a series of commands in a command file for batch execution.


Command File

You can define a series of commands in a command file (*.sbcm file). You can run/open the command file from Windows Explorer, Desktop, Links Bar, Utilities Bar, Favorites Bar, etc. Running the command file will execute the commands listed in the file one after another.

The command file contains one command in each line. A command can be any URL (local or remote) or any built-in command supported by SlimBrowser.

The content of an example command file:

http://www.google.com
OpenGroup ExampleGroup
AutoLogin myaccount@yahoo.com
c:\windows\system32\notepad.exe

This command file will open google, open the group named ExampleGroup, automatically log into a yahoo email account and then open notepad.


Language File Manager

The language files are used by SlimBrowser to display localized interface. They contain the translated version of the English strings. The language files (*.ini) are all located under the "language" directory of SlimBrowser installation folder. Each language file contains a list of entries. Each entry consists of a unique identifier followed by a piece of text. All the language files are associated by the unique identifiers.

You can edit the existing language files in the language file manager. After editing the language files, you can email the updated language file to us so that we can include the changes in the next release. Your changes about un-translated entries will always be accepted. However, to modify an entry that have been translated, you need check whether a language file has been assigned to a chief translator. If it has, you need contact the chief translator by email and suggest possible improvements. If you are interested in being a chief translator for a particular language, please don't hesitate to contact us. Being a chief translator is a volunteer job making SlimBrowser more friendly to non-English users.

Select "Language->Language File Manager" to open the language file manager.

  1. Please input your name, email and website address in the dialog for proper credit and contact information.
  2. Select the target language that you want to translate from the drop-down box. Your current language will be automatically selected if you are using a localized interface. Please notice that if your operation system is based on a far-eastern language, you can only edit the language file in your own language. That's because some European language characters can't be displayed correctly on these systems.
  3. If the language you want is not in the list, click New Language button to create a new blank language file. Please make sure you use the English name of the new language for best compatibility.
  4. You will be able to see the language file entries displayed in the middle table. The first column is a unique identifier for internal use. The second column shows English text and the third column shows the corresponding target language text. Select an entry from the table and the text will be shown in two edit boxes at the bottom. You can edit the target language text in the target language edit box. You can press ENTER key to move to the next entry.
  5. You can sort the entries based on different criterion by clicking on the column headers. Clicking on the target language column header will display the un-translated strings at the top as a convenience.
  6. To start a new line inside the entry text, press CTRL+ENTER instead of ENTER.
  7. Click Save button to save the changes. Be sure to submit the updated language file to us so that we can include the changes in the next release. Otherwise, your changes will be lost when you install the next version.

Thanks for your valuable contribution to SlimBrowser language files!

Available language files and author credits


Favorites and Links

Favorites Menu

Similar to the favorites menu in IE, you can right click on the favorites menu and select from the context menu to carry a shell operation on the corresponding favorites item or folder. The available operations will be listed on the context menu. Usually they will include operations like "Copy", "Cut", "Delete", "Open", etc. Currently you can't drag & drop the favorites item from the menu. However, you can re-arrange them by drag & drop the favorites bar.

Links Bar

Similar to the links bar in IE, You can right click on the links items on the links bar and perform operations on the selected item from the context menu. You can re-arrange them by drag & drop.

Favorites Bar (Pane)

Select "View->Explorer Bar->Favorites" to show the favorites bar/pane at the left side of the site window. You can re-arrange the order of the favorites item in the favorites pane. You can also drag & drop them between different folders.

Universal Drag & Drop Support

You can drag & drop URL shortcuts between the favorites bar, links bar, address bar, the homepage toolbar button and the favorites toolbar button.


Form Filler

Work Mechanism

There may be one or more forms in a web page. They are called web forms. There are one or more fields in a web form. Each field has a field name and a field value. The field name is defined in the source code of HTML page, which is invisible to the web surfers. The field value is to be entered by the web surfers.

The form filler in SlimBrowser use data entries in form data files for automatic form filling. It works by looking up matching field names in the form data file. If a matching field is found, that field will be filled with the corresponding value stored in the form data file. The form data file may be saved from existing forms in a web page that's already filled. You can also create or edit a form data file by inputting the data entries manually.

Form Data File

Since there are no uniform regulations about field names, the same value may appear in fields of different names. For example, you may have input your email in fields with the name of 'email', 'mail', or 'contact'. In a form data file, you are allowed to map multiple names to a single value. In general, a form data file consists of lines of data entries. A data entry represents a map of one or more names to a single value. It should observe the following format,

name1,name2,...=value

An example is,

email,mail,contact=$FeedbackEmail

If the value contains multiple lines like that in a text area, it should observe the following format,

name1,name2,...=<TextArea>
value line1
value line2
....
</TextArea>

An example is

address,addr,post address,billing address=<Text Area>
1040 S. Bruce Road Apt 2B
Houston, Texas 73840, USA
</TextArea>

If any of the names matches the name of a given field, the form filler will use the corresponding value to fill in that field.

Menu Functions

Form List...

Display the list of forms. All the forms are stored under the "forms" sub-directory of the installation directory. Each form is stored in a form data file (*.fmd). You can select one or more forms in the form list dialog. The data entries contained in the selected forms will be used for automatic form filling. Select <Edit> button to edit the current form data file.

Fill Active Form

Automatically fill active form (the form in which the caret is located) using the selected form data files. If the caret is not in any form, the first form in the web page will be automatically filled.

Fill All Form

Automatically fill all the forms in the whole web page.

Save Active Form

Save the data contained in the active form. If the caret is not in any form, the data in the first form is saved. If you save to an existing form date file, you will be prompted to overwrite or merge with the existing form data file. You might like to save similar data into the same form data file.

Save All Forms

Save the data contained in all the forms in the current web page.

Enable Auto Fill

When this option is on, SlimBrowser will automatically fill all the forms in a web page when it is completely downloaded.


Hidden Sites

Select View->Hidden Sites... from the main menu or click the corresponding button on the toolbar to activate the hidden sites dialog. All hidden sites are listed in this dialog. These sites may have been manually hidden by user, or have been automatically hidden by the popup killer. When the popup killer detects a popup window, it hides the site for a particular time and then closes it permanently. That time gives you opportunity to recover a useful popup window.

Show
You can select an item among all the listed sites and click <Show> button to make that site visible. You can use this button to recover a popup window before it's closed permanently.
Add Into White List
Click <Add Into White List> button to add the selected site into the white list so that it will not be identified as popup ads again.


Special Tricks

Tips On Opening/Closing Sites

Open New Sites In Same Window/New Window/Background

Enter an address in the address bar first. If the <auto new window> option is on, press <enter> will open the address in a new window and bring it to foreground. Press <shift+enter> to open the address in the current window. If the <auto new window> option is off, the function of <enter> and <shift+enter> will be exchanged. You can always press <ctrl+enter> to open the address in a new window in background.

The functions of shift and ctrl keys work the same way when you open new sites from favorites menu or in the browser window. The shift key determines whether the address is opened in a new window or the same window. The ctrl key determines whether the new window is brought to foreground or kept in background.

Close Site

You have many ways to close a site,

  • Double click a site tab.
  • Click the 'X' button on the system bar.
  • Click the <Close All> button on the system bar to close all sites
  • Select <Close> from the site tab popup menu


RSS News Rendering Engine

If you don't know what is RSS news, check these references:

  1. What is RSS?

  2. Introduction to RSS

SlimBrowser has a build-in rendering engine for RSS news. It enables you to read RSS news inside SlimBrowser without the need of using external RSS reader software. To read RSS news in SlimBrowser, simply change the protocol prefix of the RSS feed URL from "http://" to "rss://". Type the modified URL into the address bar of SlimBrowser and press Enter. SlimBrowser will interpret the RSS feed and automatically show the news in the form of a readable and interactive web page.

For example, http://rss.news.yahoo.com/rss/topstories is the RSS feed URL of Yahoo top stories. If you view this URL in SlimBrowser, you will see an XML file containing the news summary data. Now you need change the URL into rss://rss.news.yahoo.com/rss/topstories . Open the modified URL (we call it RSS url) inside SlimBrowser and you will the news summary is rendered in a readable web page.

You can add the modified RSS url into your favorites folder for easy access in future sessions. You can also add one or more RSS url (rss://xxxx) into a site group .

Where to get RSS feed url?

Most big news sites now provide news content in the form of RSS feed. You need go to their website and look for an image like this:

The page containing all the RSS feeds will somewhere around this icon image. All you need do is change the protocol prefix into "rss://". After that, it will be directly readable in SlimBrowser.

A small list of RSS news feeds is available on FlashPeak website.

Customizable RSS Rendering Template

For flexibility, the RSS rendering engine is based on a template file. The template file is a HTML file named rss_template.htm which will determine the appearance and format of the rendered news. The template file is just a simple HTML file containing some macros which will be dynamically replaced during rendering. You can change the template file to suit your own preference. If you have designed a good template and feel like sharing it with SlimBrowser user community, don't hesitate to submit the template to us.


Popup Blocker

  • SlimBrowser includes a built-in popup blocker which automatically blocks unwanted popup ads. The popup blocker combines automatic detection and predefined filtering.
  • To configure the options of the popup blocker, select "Tools:Options" from the menu and go to the page of "Popup Blocker" in the options dialog.
  • You can easily turn on and off popup blocker by toggling the button "Block Popup" on the standard toolbar.
  • When a popup window is blocked by SlimBrowser, you will see the "Block Popup" button blinking between red and green as a visual indication. You may hear an optional sound as an audio indication at the same time if you have configured this way.
  • If you think a desirable popup was blocked, click the "Recover Popup" button on the standard toolbar to re-open the last blocked Popup. Or, you can click the drop-down arrow on the right side of the button to show the list of the last 10 blocked popups and select the desired one to restore. When a blocked URL is re-opened , it may not show exactly the same content as the one that was originally blocked. If necessary, you can turn off the popup blocker entirely and re-open the original site which created the popup.
  • To prevent the same desirable popup to be blocked again and again, right click on the site tab of the desirable popup and click "Add into white list" to add the URL of the popup window into the white list of the site filter.


Registered File Types

SlimBrowser registers the following file types. If you find any of the file type association is no longer valid, you can select menu "Tools->Repair->Register File Types" to restore the associations. You can double click a file with registered types in windows explorer or desktop and SlimBrowser will open it. You can also place one of the files on Favorites, links or utilities toolbar for one-click access.

AutoLogin Definition File (.atlg)

Define an autologin entry. The file content has the following format:

[General]
Url=
FormIndex=
LoginData=

The autologin definition files are usually stored under the autologin folder (Tools->shortcuts->application data->autologin folder). You can generate autologin definition file automatically by selecting menu "Autologin->Add autologin from current page". Advanced users can compose the file manually if automatic extraction fails. Refer to the page on AutoLogin for details.

When you double click an autologin file from Windows Explorer or Desktop, SlimBrowser will open it and automatically log into the pre-defined page.

QuickSearch Engine Definition Files (.qseg)

Define a quick-search engine for use on the quick-search bar. The file content has the following format:

[General]
url=
method=

The quicksearch engine definition files are usually stored under the quicksearch folder (Tools->shortcuts->application data->quicksearch folder). You can extract quick-search engine definition files automatically by selecting menu "Tools->Extract Search Engine Data". Advanced users can compose the file manually if automatic extraction fails. Refer to the page "QuickSearch Bar" for details.

When you open a quicksearch file from Windows Explorer or Desktop, SlimBrowser will prompt you to enter one or more keywords and then search the keywords in the corresponding search engine.

Group Files (.sgp)

A group file simply contains a list of URL's with a URL in each line. All the site addresses will make up a site group. Groups are usually stored under the groups folder (Tools->shortcuts->application data->groups folder). Refer to the page "Site Group" for details.

When you open a sgp file from Windows Explorer or Desktop, SlimBrowser will open all the sites in the group.

Menu Item File (.mnit)

A menu item file stands for an item from the main menu. The item is exactly defined by its location or path in the main menu.

For example, you can create a file name "Filter Current Page Now.mnit" with the following content,

&Tools:Download Control:Filter Current Page Now

Then copy the file into the Utilities folder (Tools->shortcuts->application data->utilities). Select menu "View->Toolbars->Utilities" to make sure the utilities toolbar is visible. You will see an additional button with text "Filter Current Page Now". You click that button directly to apply the In-Page Ad-Filter on the current page. This saves you the trouble of going through the menu tree "Tools->Download Control->Filter Current Page Now" every time.

When you specify the menu item path, you need use "&" to indicate an underscore on the immediately following letter. You need use "\t" to indicate the tab space between the menu item name and its shortcut key. Another example for menu item "Edit->Find",

&Edit:Find...\tCtrl+F

A few frequently used menu items have been placed under the "Frequently Used Menu Items" folder on the utilities bar. You can copy it from this sub-folder up to the utilities folder for one-click access.


Shortcut Keys

Some shortcuts already displayed on the menu will not be listed here.

Go to address bar: F6, Alt+D
Close current site: Ctrl+W, Ctrl+F4
Next site: Ctrl+Tab
Previous: Ctrl+Shift+Tab
Close Browser: Alt+F4
Zoom In: Ctrl+J
Zoom Out: Ctrl+K
History Bar: Ctrl+H
Favorites Bar: Ctrl+I
Create New Blank Site: Ctrl+N
Open Site: Ctrl+O
Save Page: Ctrl+S
Fill All Form: F10
Full Screen: F11
Refresh: F5
Fill Active Form: F9
Create New Homepage: Alt+Home
Go Back: Alt+Left Arrow
Go Forward: Alt+Right Arrow
Show/Hide Menu Bar: Ctrl+F10


Using Site Group

Site Groups

The use of site groups enables you to open a number of sites in one time.

Groups Menu

All the functions for site group operation are under <Groups> menu of the main menu.

  • Organize Group...
    Use group organizer to manage and create site groups.

  • Add To Group...
    Add the current site into a group with the group organizer
  • Save All Open Sites As Group...
    Save all open sites as a group. If you save into an existing group, the existing entries will be overwritten.
  • Open Group
    Open an existing group file
  • Open Members Inside Group
    Open only selected members inside a site group.
  • [All the existing groups]
    All the existing groups will be listed at the bottom of the <Groups> menu. Selecting any of them will open all of the sites contained in that group. If you hold down SHIFT key while selecting a group to open, you will be prompted to open only selected members inside the group.

Group Organizer

Selecting "Groups->Group Organizer..." will activate the group organizer dialog. On the left-top part are shown all the existing groups. Click at any existing group and all the contained sites will be shown in the list box to the right. The buttons located at the left-bottom part of the dialog are for group operations. The buttons located at the right bottom part can be used to manipulate the sites within a group. The functions of the buttons are explained below,

Group Operations

  • Add Group: Create a new group under the selected folder
  • Add Folder: Create a new folder under the selected folder
  • Rename: Rename the selected site group or folder
  • Delete: Delete the selected group or folder

Site Operations

  • Add: Enter an address in the edit box below the site list and click 'Add' button to add it into the current group
  • Change: Replace the selected site with the address filled in the site edit box
  • Delete: Delete the selected site in the site list box from the current group
  • Open: Open the selected site in the site list box in SlimBrowser.
  • Get Current Site: Automatically fill the address of the current site in the site edit box.
  • Move Up: move the selected site one position up in the list.
  • Move Down: move the selected site on position down in the list.

All groups are stored under the "groups" subdirectory of SlimBrowser installation directory. You can also manage all the group files(*.sgp) with Windows explorer. You can edit a group file (*.sgp) with notepad.

Using built-in commands in a group

You can use built-in commands as a virtual site in a group. For example, you can define a group containing the following three entries,

  1. www.google.com : An actual site
  2. autologin somebody@yahoo.com : Automatically log into Yahoo email with somebody's pre-defined autologin information.
  3. google typing software: search for typing software on google


Skins

Using Skins

Select "View->Skins->Select Skins.." to activate the dialog for selecting skins. In the dialog, you can click <apply> button to apply the selected skin on SlimBrowser. You can also double-click an item to apply the skin. Click <ok> button to apply the selected skin and dismiss the dialog.

Select "View->Skins->Disable Skins" to restore SlimBrowser to its original appearance without skin.

Design your own skins

To start designing your own skin, go to SlimBrowser installation directory, change into "skins" directory and then create a sub-directory with the name of the new skin, for example, "my skin". Create a file named "skin.ini" under the newly created directory. You have to write configuration information in "skin.ini" and put necessary images under the same directory. All pictures must be windows bmp files currently.

skin.ini should start with this line: [general]. Specify one option in each line below. An option line should be in the form of "OptionName=OptionValue". If you want to use default value for that option, simply remove that line. A line like "OptionName=" will result in syntax error.

Window Frame

You have two choices for the window frame, i.e., simple-fill frame and custom frame.

  • Simple-fill frame
    In this way, you will design a skin based on a round-rectangle frame with a simple filling pattern. You need to supply the following parameters,
    • FrameRect=left,top,right,bottom
      Define the thickness on the four sides of the frame. You can write "FrameRect=default" and it will be set to "6,29,6,6". The top side is thicker because it includes the caption. You must specify this option so that this skin is treated as a simple-fill frame.
    • FrameCorner=radius
      Define the radius of the frame corner, or how round the corner is. Set 0 if you want to have square corner.
    • FrameFill=picturefile
      Specify the picture file which will be used as the filling pattern for the window frame. The default value is "framefill.bmp".
  • Custom Frame
    If you haven't specified the option "FrameRect" in the configuration file, the skin will be treated as a custom frame. You have to include 12 images to define the frame. They are,

    topleft.bmp, top.bmp, topright.bmp,
    lefttop, left.bmp, leftbottom.bmp,
    righttop.bmp, right.bmp, rightbottom.bmp,
    bottomleft.bmp, bottom.bmp, bottomright.bmp.

    Please notice that the top-left corner is included in topleft.bmp(instead of lefttop.bmp); the top-right corner is included in topright.bmp; the bottom-left corner is included in bottomleft.bmp, the bottom-right corner is included in bottom-right.bmp. Also notice that left.bmp, bottom.bmp, left.bmp and right.bmp should be rectangular in shape because they will be tiled to adapt to actual window size.

Custom Buttons

There are four buttons to be located on the window frame. You can supply an image file for each of the buttons. Each image file must contain four images for the button in normal, hot(when mouse is over), down and disabled states, respectively. The four images should be aligned from left to right in the order mentioned above. The four buttons are minimize button, maximize button, close button and system button.

  • minimize button: min.bmp
  • maxmize button: max.bmp
  • close button: close.bmp
  • system button: sys.bmp

Windows 3.x and unix has a system button while win95 or later replace the system button with an icon. The users click the system button to get a drop down system menu. You can use SlimBrowser icon image as the system button by specifying this option: SystemIcon=true. This option has a default value of true. If you want to use sys.bmp as the image for the system button, you should specify: SystemIcon=false.

ToolBar Background

All the toolbars will be filled with the image in file barback.bmp if it exists.

Toolbar Button Images

The toolbar button bitmaps are stored under the installation directory of SlimBrowser. They are named,

toolbar.bmp, large
toolbar_h.bmp, large hot
toolbar_g.bmp, large greyed
toolbar_s.bmp, small
toolbar_s_h.bmp, small hot
toolbar_s_g.bmp, small greyed

The large icons are 24x24 pixels, The small icons are 16x16 pixels. If you want the toolbar buttons take on a special look under your skin, copy all the six bitmaps from the installation directory of SlimBrowser into your skins folder. Then replace all the images inside the bitmap with your own. You can derive the hot version by simply increasing the brightness of the normal version. You can derive the greyed version by using a grey gradient map in Photoshop.

Important

  • The purple background in each bitmap stands for the transparent color. Please make sure the icons you add have exactly the same background, i.e., it must have color value strictly equal to RGB(255,0,255).
  • Please make sure all bitmaps are 24-bit true-color bitmap.

Caption Bar

  • CapTextColor=Red, Green, Blue
    Specify the caption text color by RGB value.
  • CapRect=left, top, right, bottom
    Specify the bounding rectangle of caption text. The <right> value should be specified as the negative of the distance from the right end of the caption.

Site Tab Text Color

  • TabSelTextColor=Red,Green,Blue
    text color of the selected tab on tab bar
  • TabTextColor=Red,Green,Blue
    text color of unselected tabs on tab bar.

Main Menu

  • MenuBackColor=Red,Green,Blue
    Specify the menu background color by RGB value.
  • MenuSelBackColor=Red,Green,Blue
    Specify the background color of a menu item currently being selected by RGB value. Under Windows XP with visual style (i.e., themes) enabled, this color will be used to draw the bounding rectangle of the selected menu item and the bounding rectangle of the check marks. A relatively brightened color will be used to fill the rectangles.
  • MenuIconBackColor=Red,Green,Blue
    Specify the background color of the left band of the menu where the icons are shown by RGB value. This color is only used when visual style (i.e., themes) is enabled under Windows XP.
  • MenuTextColor=Red,Green,Blue
    Specify the menu text color by RGB value.
  • MenuSelTextColor=Red,Green,Blue
    Specify the text color of the selected menu item. This option has no effect if you have enabled Visual Style under Windows XP.

Explorer Bar

If the bitmap file named "expbarback.bmp" exists under the current skin folder, SlimBrowser will use it to paint the background of the explorer bar (the panes shown when you select "View:Explorer Bars:xxxx" from the menu). If this bitmap file doesn't exist, the default system color will be used.

Status Bar

  • StatusBarBackColor=Red,Green,Blue
    Specify the back ground color of the status bar by RGB value. This setting has no effect if you have enabled Visual Style in Windows XP

Submitting Your Own Skin

Please test your skin to make sure it works properly within SlimBrowser. After that, compress all the files under your skin folder (The path is c:\program files\slimbrowser\skins\SkinName) into a zip file named SkinName.zip. Submit the zip file to us by email. We will let you know when your skin has been processed and published in the online skin list.

Thanks for making contributions to the SlimBrowser user community!


Universal URL Filter

Warning:

1. There is a bug with this feature. That is, it may prevent some small pictures from being displayed now and then even if the URL of the picture is not in the black list. Enable this feature only if you can live with this bug. The Universal URL Filter is based on IE Namespace Handler provided by Microsoft. The bug could be on the side of Microsoft. Let us know if you know how to solve this bug.

2. The universal url filter may prevent some website from being displayed correctly or working properly. They may happen to have a necessary component with its URL matching the black list.

The Universal URL Filter (UUF) applies to any components inside any web pages opened by SlimBrowser. The major difference between the site filter and universal url filter is: the site filter only applies to the URL of a web page; the universal url filter applies to the URL of any component inside a web page, including the web page itself. If you want filter out some annoying ad banners or flashes on those obtrusive websites, you need universal url filter. When the undesirable components are blocked, they won't be downloaded by SlimBrowser and thus your bandwidth is saved.

Access from menu

  1. Select menu item Tools->Universal URL Filter->Enable Universal URL Filter to enable/disable UUF. You'd better turn it off if you are having problems with UUF.

  2. Select menu item Tools->Universal URL Filter->White List/Black List to edit the black list and white list. As long as web page component matches a black list filter and doesn't match any white list filter, the access to this component will be denied and the content of this component will not be downloaded.

Access from options dialog

You can also access the universal url filter from the URL Filter page of the options dialog (Tools->Options->URL Filter). The options are explained below,

  1. Enable Universal URL Filter
    As suggested by the title.

  2. Make blocked image entirely invisible
    Hide the little square with a red cross inside when an image is blocked.
    Small tip    : SlimBrowser actually replaces the blocked image with a transparent pixel. If you bother, you can replace the image file $instdir\images\blocked.gif with your own image file such that your image will be shown instead of the transparent pixel.

Matching Principle

You can use * to represent zero or more characters, use ! to represent one character. A filter matches a URL if it matches a portion / substring of the URL. That means you don't have to add * at the beginning or end of a filter. "*adserver.domain.com*" has the same effect as "adserver.domain.com".

Important tips:

  1. To find out the URL of an image, right click on the image and select "properties". You can see the URL of the image in the properties dialog.
  2. To find out the URL of flash objects, you need select "View Source" to examine the source code of the html page.
  3. you can add "swf" into the black list filter. That will be able to block 99% flash animation successfully.

You are encouraged to report the domain or URL of obtrusive and notorious ad servers to us so that we can include it into the default black list.


Upload File

Select menu Tools->Upload File... to open the file uploader. You can also access the file uploader from the ScriptPad.

Buttons

  • Upload
    Start Uploading
  • Clear
    Clear all the fields in this dialog
  • Cancel/Close
    Cancel the uploading or close the dialog
  • Load Job
    Load a saved uploading job
  • Save Job
    Save the current settings as an uploading job

Using Saved Uploading Jobs (Useful for webmasters)

A saved ftp upload job file (*.sbjb, i.e., SlimBrowser Job File) can be double clicked in Windows Explorer or Desktop and SlimBrowser will open it for you and carry out the upload job automatically. You can also put a job file on favorites bar, links bar or utilities bar for easy access. You can also create a command file containing several jobs. Opening the command file will execute all the specified jobs one after another.


Credits

  • Davinci, davinci@myeasywebsite.com
    Helps with jscript coding, icon design, best testing and forum moderation.
  • Jay, jayt@myway.com
    Helps with beta testing and forum moderation
  • Zaimin Chen, zmchen@21cn.com
    Helps with C++ coding
  • Erich Manser, erich.manser@tele-select.at, http://www.tele-select.at
    Helps with jscript coding for autologin
  • Jan van den Baard
    The ScriptPad in SlimBrowser is based on Mr. Baard's BrainChild edit control with syntax highlighting.
  • David, a.k.a "oftentired" on SlimBrowser forum
    SlimBrowser forum moderation


Execute Scripts

This feature enables the user to execute java script or VB script in the context of the active site. It gives the user extra flexibility to control the web page style or extract desired information from a page. Menu items related with this feature are located at "Tools->Execute Scripts" of the main menu.

Custom Scripts...
Select this menu item and you will see a dialog. In that dialog, you can enter a piece of java script and vbscript. Make sure you choose the right script language and press <Execute> button to execute the script in the active site.
Stored Scripts
The rest of the menu items correspond to all the stored scripts. Stored scripts should be placed under the "scripts" sub-directory of SlimBrowser installation directory. The script files should have extensions of .js (javascript files) or .vbs (vbscript files).


Custom Support

Customer Support

Email

Please write to $FeedbackEmail for any opinions, suggestions, and bug reports. Both positive feedback and negative feedback are welcome. Currently we can only understand feedback in English. If you are interested to help with localized support for SlimBrowser as an volunteer, let us know.

Feature Request

If you think this product misses an important feature, don't hesitate to tell us. If it's a reasonable and implementable feature, we can add it into a special beta version for you and will make it available in the next formal release.

Online Forum

User Forum on FlashPeak web site
Posted articles will be replied by our customer support people as soon as possible. You can also share opinions and ideas with other users.


Options:More

Options : Address Bar

Domain Autocompletion

The format for the domain autocompletion string will be like www.*.com, www.*.com.us. Domain autocompletion only happens when you type a single-word identifier with the corresponding key combinations. It will replace the asterisk symbol with the identifier you've typed. For example, if you type "domain" in the address bar, after domain autocompletion, it will be www.domain.com or www.domain.com.us.

  • Enter: the string that'll be used for autocompletion when you press ENTER in the address bar.

  • Ctrl+Enter: the string that'll be used for autocompletion when you press Ctrl+ENTER in the address bar.

  • Shift+Enter: the string that'll be used for autocompletion when you press Shift+ENTER in the address bar.

  • Ctrl+Shift+Enter: the string that'll be used for autocompletion when you press Ctrl+Shift+ENTER in the address bar.

The last three options will be in effect only if you have enabled the option "Use ctrl/shift key for domain autocompletion" in the same page.

Search keywords from address bar using the following engine

This option will set the engine used for direct keyword search in the address box. If what you type in the address box is a phrase containing spaces and it can't be interpreted as a valid web address, SlimBrowser will pass the string to the selected search engine. Please notice that this option will NOT set the default search engine on the quick-search bar.


Options->Startup

Options->In-Page Ad-Filter

Warning: This feature is currently deprecated because it may block useful web content and prevent some web sites from working properly.

The page deals with options related with in-page ad filtering instead of blocking popup ad windows. Options related with popup window killer can be found here.

Enable In-Page Ad Filter

When this option is on, SlimBrowser will attempt to filter out the obtrusive ad components inside the web pages.

Apply ad filter to all sites

Automatically apply the ad filter to all web sites. Be careful when using this option because the ad filter may remove useful components from web pages.

Apply ad filter only to these sites

Define a list of sites to which the ad filter is automatically applied.

Time to Apply Ad Filter

  • Filter while page is loading
    Filter the ad's dynamically while the page is loading. This ensures the ad's are filtered out as soon as possible, i.e., before they have chance to reach your eyes. However, this will cost more CPU resources, esp. for pages which never finish loading completely. This option is only recommended for fast computers and for users with zero ad tolerance.
  • Filter after page is loaded
    Filter the page content after the page is loaded. The ad's may have chance to be seen by your eyes. For pages which never finishes loading, it may never be filtered.

The following options determine the type of ad's to be filtered,

  • Filter flash animations
    You may have no need to turn on this option if you have already disabled Flash Animation in the default download control options.
  • Filter moving/flying images
  • Filter Banners
    Filter out standard size banners in the page.


Options:Misc

Options : Confirmation

  • Quit Browser
    Confirm when you try to close SlimBrowser.
  • Add Popup Into White List
    Prompt whether you want to add the URL of a popup window into the white list.


Options:Misc

Options : Download Ctrl

The following download control options apply to all sites. Sites opened after the setting is changed will always reflect the new setting. Sites opened before the setting is changed may or may not reflect the new setting. These settings also apply to IE or any other browsers based on IE rendering engine.

  • Show Pictures
  • Play Videos
  • Play Sounds
  • Execute Scripts
  • Execute Java Applet
  • Enable ActiveX Control
  • Enable Flash Animation
    You need have administrator's privilege to change this option. When this option is off, all Flash ActiveX animation will be disabled. Please notice that when you turn this option back on, site windows that are already open will not reflect the new setting, i.e., they will still have Flash disabled. When you turn off this option, sites that are already open may popup a message dialog complaining "ActiveX is not enabled....". Just ignore it. You won't see such messages for sites that are opened after the option is turned off.


Options:Misc

Options : Favorites

Break Favorites Menu

Break favorites menu into multiple columns. This option helps solve the favorites menu bug in win98 when the favorites list is too long at the first level.

Show "Open All Favorites" In Favorites Menu

Show an additional menu item with the title of "Open All Favorites" in each level of the favorites menu. Click the "Open All Favorites" menu item will open all the pages in the corresponding favorites folder.

Show Favorites Menu Icons

Turning on this option will retrieve and display the site favorite icons in the favorites menu. It will increase the delay before the favorites menu is shown.


Options:General

Options-General

Popup Killer

  • Automatically Block Popup Windows
    Enable the popup killer to automatically block popup windows.
  • Recognize Popup Windows By Timing
    Identify any site window popped up spontaneously as an undesirable popup window. A site window is considered to be spontaneous if it doesn't immediately follow user actions.
  • Recognize Popup Windows By Appearance
    Identify windows without menu bar, toolbar, status bar, or address bar as undesirable popup windows.

Please refer to section Popup Killer for details.

Site Filter

  • Enable Site Filter
    Automatically block sites matching black list but not matching white list.
  • Black List / White List
    View/edit black list and white list in the filter definition dialog.

Please refer to section Site Filter for details.

Auto New Window

Automatically open a new window when you open a site by typing an address and pressing enter, or selecting an existing address from the drop down list or the favorites. If you temporarily want to open site in the same window, hold down shift when pressing enter or selecting by mouse.

Suppress Script Errors

This option will disable the script error message dialogs. It will also disable script debugging. This option is recommended for most people who are not interested in script debugging.

Show Tray Icon/Hide Taskbar Button

When this option is turned on , the taskbar button will be hidden and an icon will be added to the system tray area (near system clock, at the right end of the task bar).


Options : Misc

Suppress Script Errors

This option will disable the script error message dialogs. It will also disable script debugging. This option is recommended for most people who are not interested in script debugging.

View Source In Script Pad

View source code of web pages in built-in script pad instead of notepad

Use BlazeFtp to open Ftp Folder

automatically use FlashPeak BlazeFtp to open ftp folder

Start Search At Selecting an Engine from Quick-Search Bar

Start searching automatically when you choose a search engine from the quick-search bar and if the keyword box is not empty.

Save Crash Restoration Information Automatically

Save crash restoration information periodically while SlimBrowser is running.

Minimize to system tray

With this option on, SlimBrowser will hide into the system tray when you click the minimize button.

Close to system tray

With this option on, SlimBrowser will hide into the system tray when you click the close button (x). To quit the browser, select menu File->Exit.

Disable Microsoft Java Virtual Machine

Check on this option to disable Microsoft Java Virtual Machine so that Sun Java Virtual Machine be enabled in SlimBrowser. By default, if both MS Java VM and Sun Java VM, SlimBrowser will only use MS Java VM. You have to disable Microsoft Java VM to be able to use Sun Java VM. You will need this option if you want to view web pages which use Sun Java 2 technology.

Lock homepage to the following address

Lock SlimBrowser and IE homepage to the address specified below. If other programs change your homepage, SlimBrowser will change it back next time you run it.


Options : More

Open New Window in background

open new window in background by default

Domain Autocompletion

The format for the domain autocompletion string will be like www.*.com, www.*.com.us. Domain autocompletion only happens when you type a single-word identifier with the corresponding key combinations. It will replace the asterisk symbol with the identifier you've typed. For example, if you type "domain" in the address bar, after domain autocompletion, it will be www.domain.com or www.domain.com.us.

  • Enter: the string that'll be used for autocompletion when you press ENTER in the address bar.

  • Ctrl+Enter: the string that'll be used for autocompletion when you press Ctrl+ENTER in the address bar.

  • Shift+Enter: the string that'll be used for autocompletion when you press Shift+ENTER in the address bar.

  • Ctrl+Shift+Enter: the string that'll be used for autocompletion when you press Ctrl+Shift+ENTER in the address bar.

The last three options will be in effect only if you have enabled the option "Use ctrl/shift key for domain autocompletion" in the same page.

Search keywords from address bar using the following engine:

This option will set the engine used for direct keyword search in the address box. If what you type in the address box is a phrase containing spaces and it can't be interpreted as a valid web address, SlimBrowser will pass the string to the selected search engine. Please notice that this option will NOT set the default search engine on the quick-search bar.


Options -> Mouse

Mouse gesture to go back/forward

Option to enable this feature: Left click while holding right button to go back. Right click while holding left button to go forward.

Middle click to open site in new window

When this option is on, you can middle click a link and it will be opened in new window.

Support side-button to go back/forward

When this option is on, you can use the side buttons of the mouse to navigate back or forward.


Options:More

Options : New Window

Auto New Window

Automatically open a new window when you open a site by typing an address and pressing enter, or selecting an existing address from the drop down list or the favorites. If you temporarily want to open site in the same window, hold down shift when pressing enter or selecting by mouse.

Open New Window in background

open new window in background by default

Always Maximize New Window

When this option is on, all the new sites are maximized automatically at creation. Otherwise, a new site is shown in the size specified by the web page designer (usually those small popups).


Options: Popup Killer

Enable popup blocker

Turning on this option enables the popup blocker built-in with SlimBrowser.

Beep when a popup is blocked

With this option on, SlimBrowser will play a sound when a popup window is blocked. Meanwhile, the "Block Popup" button will flash on the standard toolbar irregardless of the value of this option.

Enable site filter

When the site filter is enabled, SlimBrowser will automatically block any popup windows matching the black list but not matching the white list, even if the popup window is initiated by the user. Click the [Black List] and [White List] buttons to define the black list and white list filter entries. Please refer to section Site Filter for details.


Options: Privacy

Clean the following selected items at exit

When this option is on, the items selected in this option page will be automatically cleaned when you exit SlimBrowser.

Clean selected items

  • Address Bar History
  • Quick-Search History
  • Browser History
  • Cookies
  • Cached Files

Auto-lock the browser

When this option is on, the browser is automatically locked after a specified length of idle time (no mouse or keyboard inputs on the host PC). The idle time is specified in terms of minutes. After the browser is locked, all the open sites are hidden. You need type the master password to unlock the browser. All the open sites will be restored from the hidden state upon unlocking.

Set Master Password

Set the master password. The master password can be used to protect autologin entries and lock the browser after long idle time.


Options->Startup

The following options are located in the <Startup> page of the options dialog. They determine what SlimBrowser will do at startup.

  • Open Internet Explorer Homepage
    Open the homepage defined in Internet Explorer.
  • Open a specified page
    Open a specified page at startup. Enter the address in the edit box provided to the right.
  • Open a specified group
    Open a specified group at startup. Enter the name of the group in the edit box provided to the right.
  • Restore Last Open Sites
    Restore the sites that were open when SlimBrowser was closed in last session.
  • Execute the following commands
    Execute the specified built-in commands at startup. Enter one command in each line.
  • Show Splash Screen
    Show splash screen while loading the program at startup.
  • Startup minimized in system tray
    Make the browser startup in minimized state with an icon shown in the system tray area.


Options : Tab

Options->Tab

Double Click To Close Site Tab

When this option is turned on, you can double click a site tab to close the corresponding web site.

Place New Tab Immediately After the Current Tab

When this option is on, a new tab created from the current site will be placed immediately after the current tab. Otherwise, newly created tab will always be placed at the end of the tab bar.

Tab Label

  • Maximum width in pixels
    The maximum width of tab labels in pixels.

  • Maximum number of words
    The maximum number of words to be shown in the tab label. The rest words will be automatically clipped

  • Show assigned site name for matched URL
    The assigned site name is shown as tab label if the web site address is matched to a pre-assigned site name.

  • Use automatic brief label
    Automatically generate a brief label from the long title. What we do now is to remove everything after " - ". For example, for the title "Yahoo! Mail - Best web-based email", we automatically pick "Yahoo! Mail" as the brief label. We also remove everything after " : " to make the label brief.

Show close button on each tab

Show a close button (x) on the right end of each tab. You can click this button to close the tabs.


Options : Tab

Options->Update

Automatically check newer version

  • every run
  • every day
  • every week
  • every month
  • every quarter
  • never

Get notified of pre-release beta versions

Turn on this option if you are eager to try on the new features without waiting for the formal release.


Options->Startup

Options : Weather

Currently the weather data can only be retrieved within the United States.

Show today's weather in status bar

When this option is on, the weather condition of today will be shown in the status bar at the bottom of SlimBrowser window. The weather condition is updated every half an hour. However, you can click the weather display on the status bar to force an update. Double-clicking the weather display on the status bar will open a web page containing the detailed weather information.

Unit for displayed temperature

Choose centigrade or Fahrenheit as the unit for temperature display.


Plugins

All the plugins are located under "plugins" sub-directory. You can click the "plugins" toolbar button to access the list of the plugins. Just select one to execute from the drop down menu list.

Currently, plugins can be anything that can be opened or executed by windows shell. It can be a shortcut to a website, a link to an existing program file or document, an executable file, a web page, etc. Just put them under "plugins" directory and they will be immediately available from the plugins drop-down menu.


Site Filter

Site filter allows you to block popups based on a black list and a white list. Popup windows with URL matching the black list but not matching the white list will be automatically blocked. The popup blocker must be enabled first for the site filter to take effect.

Filter Definition

Both black list and white list are filters. A filter consists of one ore more entries. Each entry can be a part of or a whole web address. A site matches a filter when its address contains one of filter entries as a substring. For example,

filter entry
www.badsite.com/dir1
matching pages
http://www.badsite.com/dir1/page1.htm
http://www.badsite.com/dir1/dir2/page2.htm

SlimBrowser only blocks pages matching the black list but not matching the white list. You can use the white list to unblock pages from desired web directory. For example,

black list entry: www.badsite.com
white list entry: www.badsite.com/nice_dir
pages that will be blocked:
http://www.badsite.com/index.htm
http://www.badsite.com/dir1/ad.htm
pages that will not be blocked:
http://www.badsite.com/nice_dir/index.htm
http://www.badsite.com/nice_dir/dirx/hello.htm

Please note that site matching the white list will never be treated as popup ads.

Site Filter Configuration

You can enable/disable site filter, edit black list and white list in the popup blocker page of the options dialog. You can also do so by selecting "Tools->Site Filter" from the main menu. The filter definition dialog will be activated for you to define all the filter entries.

Filter Definition Dialog

In this dialog, you can add one or more entries to construct a filter.

  • Add: Enter a filter entry in the edit box at the bottom and click <Add> button to add this entry.
  • Remove: Select an entry from the entry list and click <Remove> button to remove the selected entry.
  • Update: Update the selected entry with the entry that you entered in the edit box at the bottom.


Assigned Site Name

By default, SlimBrowser shows the title of a website on the tab (i.e, the text enclosed in the <title></title> tag pair). Many of the website titles may be too long and not illustrative enough for easy identification. To solve this problem, SlimBrowser adds support for assigned site name. That is, you can assign or designate a name to a website, a web folder or a particular web page. The mapping is established between a name and a URL. Any website whose address contains the URL as a part will be mapped to the name.

Some mapping examples are shown below,

Name | URL
Yahoo | yahoo.com
Yahoo Mail | mail.yahoo.com
Yahoo Map | map.yahoo.com

Based on the above example, all URL's containing "mail.yahoo.com" will have the name "Yahoo Mail". All URL's containing "map.yahoo.com" will have the name "Yahoo Map". All the URL's containing "yahoo.com" but not containing "mail.yahoo.com" and "map.yahoo.com" will have the same "Yahoo". SlimBrowser will automatically choose the closest match when there are two or more matches found.

Manage Assigned Site Names

You can manage the assigned site names by selecting menu "Tools->Assigned Site Names...". You can also right click on a tab and select "Assigned Site Names...".

Notice: You can enable/disable the usage of assigned site names with the option "Tools->options->tab->Use assigned site names".